PHP Manual
Prev |  | Next

# Memcache::getServerStatus

(no version information, might be only in CVS)

Memcache::getServerStatus -- Returns server status

## Description

int Memcache::getServerStatus ( string host [, int port] )

Memcache::getServerStatus() returns a the servers online/offline status. You can also use memcache_get_server_status() function.

> Note: This function has been added to Memcache version 2.1.0.

## Parameters

`host`

  Point to the host where memcached is listening for connections.

`port`

  Point to the port where memcached is listening for connections. This parameter is optional and its default value is 11211.

## Return Values

Returns a the servers status. 0 if server is failed, non-zero otherwise

## Examples

Example 1. Memcache::getServerStatus() example

`<?php /* OO API */ $memcache = new Memcache; $memcache->addServer('memcache_host', 11211); echo $memcache->getServerStatus('memcache_host', 11211); /* procedural API */ $memcache = memcache_connect('memcache_host', 11211); echo memcache_get_server_status($memcache, 'memcache_host', 11211); ?>`

## See Also

Memcache::addServer()
Memcache::setServerParams()

Prev | Home | Next
Memcache::getExtendedStats | Up | Memcache::getStats